%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	Help motorically impaired users to use the mouse
Name:		mousetweaks
Version:	3.6.0
Release:	%mkrel 2
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
License:	GPLv3+
Group:		Accessibility
Url:		http://live.gnome.org/Mousetweaks/Home
BuildRequires:	pkgconfig(gio-2.0) >= 2.25.9
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.3
BuildRequires:	pkgconfig(gsettings-desktop-schemas) >= 0.1.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.0
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xcursor)
BuildRequires:	pkgconfig(xfixes)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	intltool >= 0.40.0
BuildRequires:	gnome-doc-utils

%description
The Mousetweaks package provides mouse accessibility enhancements for 
the GNOME desktop. These enhancements are:

1. It offers a way to perform the various clicks without using any 
hardware button.

2. It allows users to perform a right click by doing a click&hold 
of the left mousebutton. (For a left-handed mouse user, the termes 
left and right have to be inverted.) 

3. It provides an applet that the user can install on a panel. This
applet creates an area on the panel into which the pointer can 
be captured until the user releases it with a predefined button
and modifier combination.

The options can be accessed through the Accessibility tab of the
Mouse Preferences of GNOME Control Center or through command-line.

%prep
%setup -q

%build
%configure2_5x \
	--disable-dwell-click \
	--disable-pointer-capture
%make

%install
%makeinstall_std

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS README NEWS TODO
%{_datadir}/GConf/gsettings/*.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_bindir}/%{name}
%{_mandir}/man1/*.1*
%{_datadir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0-2.mga3
+ Revision: 360299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 24 2012 ovitters <ovitters> 3.6.0-1.mga3
+ Revision: 297227
- new version 3.6.0

* Mon Sep 17 2012 ovitters <ovitters> 3.5.92-1.mga3
+ Revision: 295501
- new version 3.5.92

* Tue Sep 04 2012 fwang <fwang> 3.5.91-1.mga3
+ Revision: 287838
- update file list

  + ovitters <ovitters>
    - new version 3.5.91

* Mon Jul 16 2012 ovitters <ovitters> 3.5.4-1.mga3
+ Revision: 271475
- new version 3.5.4

* Mon May 14 2012 ovitters <ovitters> 3.4.2-1.mga3
+ Revision: 235695
- new version 3.4.2

* Mon Apr 16 2012 ovitters <ovitters> 3.4.1-1.mga2
+ Revision: 231061
- new version 3.4.1

* Mon Mar 26 2012 ovitters <ovitters> 3.4.0-1.mga2
+ Revision: 226663
- new version 3.4.0

* Mon Mar 19 2012 ovitters <ovitters> 3.3.92-1.mga2
+ Revision: 224512
- new version 3.3.92

* Mon Mar 05 2012 wally <wally> 3.3.91-1.mga2
+ Revision: 219121
- new version 3.3.91

* Tue Feb 21 2012 fwang <fwang> 3.3.90-1.mga2
+ Revision: 211387
- new version 3.3.90

* Mon Oct 17 2011 wally <wally> 3.2.1-1.mga2
+ Revision: 155788
- new version 3.2.1

* Mon Sep 26 2011 fwang <fwang> 3.2.0-1.mga2
+ Revision: 148776
- new version 3.2.0

* Tue Sep 06 2011 fwang <fwang> 3.1.91-1.mga2
+ Revision: 139307
- new version 3.1.91

  + wally <wally>
    - new version 3.1.4

* Tue Jul 12 2011 wally <wally> 3.1.2-1.mga2
+ Revision: 123221
- new version 3.1.2

* Mon Jun 27 2011 fwang <fwang> 3.0.2-1.mga2
+ Revision: 114337
- update file list
- update file list
- add br
- new version 3.0.2

* Sat Feb 26 2011 ennael <ennael> 2.32.1-1.mga1
+ Revision: 60067
- clean spec file
- imported package mousetweaks

